      subroutine ugeom
c     
c     NLC Geometry
c     
      implicit none

      integer ivolu
      real par(12), dz/0.1/

c----------------------  reset user tracking parameters

      call jbgtrk(1)

c----------------------  media definitions

      call nlcmed
      call nlcrot

c------------------------------------------------------------------------------
c     
c     Start by defining geometries
c                                  WRLD: no magnetic field
      par(1) = 400./2.      !DX/2
      par(2) = 400./2.      !DY/2
      par(3) = 25000./2.    !DZ/2 If this value is changed, change nlcgeom too.
      call gsvolu( 'WRLD', 'BOX ', 1, par, 3, ivolu)
      call jbgset(1,ivolu)

c-------------------------------------------------------------------------

c                    Endstation A geometry
      call esageom

c-------------------------------------------------------------------------     
c     End positioning volumes
c     we will call ughits and close geometry bank
c     
      call ughits
c     
      call ggclos               ! close geometry banks
c     
      return
      end

